<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/config.php"))
    include "_include/config.php";
else
    include "config.php";
?>
<body style="background-color:black;margin:0px;padding:0px;overflow:hidden;">
<link rel="stylesheet" href="_js/checkbox.css" />
<script type="text/javascript" src="_js/custom-form-elements.js"></script>
    <table style="font-family:Tahoma;font-size:12px;color:white;margin:10px 0px 0px 0px;" width="800px">
      <tbody>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" id="archive_mode" class="styled" onclick='parent.buildCommand();' title="This is equivalent to -rlptgoD. It is a quick way of saying you want recursion and want to preserve almost everything"/>
            <label style="padding-top: 3px;float: left;" for="archive_mode" title="This is equivalent to -rlptgoD. It is a quick way of saying you want recursion and want to preserve almost everything">Archive mode; same as -rlptgoD (no -H)</label></td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" id="handle_sparse_files_effeciently" class="styled" onclick='parent.buildCommand();' title='Try to handle sparse files efficiently so they take up less space on the destination.'/>
            <label style="padding-top: 3px;float: left;" for="handle_sparse_files_effeciently" title='Try to handle sparse files efficiently so they take up less space on the destination.'>Handle sparse files efficiently (-S)</label></td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="radio" id="prefer_ipv4" name="ipv" class="styled" onclick='parent.buildCommand();' checked title='Tells rsync to prefer IPv4 when creating sockets.'/>
            <label style="padding-top: 3px;float: left;" for="prefer_ipv4" title='Tells rsync to prefer IPv4 when creating sockets.'>Prefer IPv4 (-4)</label></td>
            <td style="width: 400px;"><input type="radio" id="prefer_ipv6" name="ipv" class="styled" onclick='parent.buildCommand();'  title='Tells rsync to prefer IPv6 when creating sockets.'/>
            <label style="padding-top: 3px;float: left;" for="prefer_ipv6" title='Tells rsync to prefer IPv6 when creating sockets.'>Prefer IPv6 (-6)</label></td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 800px;" colspan=2 nowrap>
            <label style="padding-top: 3px;float: left;" title='This option instructs rsync to use DIR as a scratch directory when creating temporary copies of the files transferred on the receiving side. The default behavior is to create each temporary file in the same directory as the associated destination file.'>Create temporary files in directory DIR (-T):</label>
            <input type="text" id='create_temporary_files_in_dir' style='width:410px;height:24px;' title='This option instructs rsync to use DIR as a scratch directory when creating temporary copies of the files transferred on the receiving side. The default behavior is to create each temporary file in the same directory as the associated destination file.' readonly/>
            <input type="button" style="width:60px;height:24px;" id='browse' value="Open" onclick="parent.browseDir('temp',document.getElementById('create_temporary_files_in_dir'));" /><input type="button" style="width:24px;height:24px;" id="remove" value="X" onclick="document.getElementById('create_temporary_files_in_dir').value='';parent.buildCommand();"/>
</td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 800px;" colspan=2 nowrap>
            <label title="Additional arguments to rsync">Custom args:</label>
            <input type="text" id='custom_args' value='--exclude=*~' style='width:640px;height:24px;' title="Additional arguments to rsync"/></td>
        </tr>
      </tbody>
    </table>
</body>
