<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/config.php"))
    include "_include/config.php";
else
    include "config.php";
?>
<body style="background-color:black;margin:0px;padding:0px;overflow:hidden;" class="test">
<link rel="stylesheet" href="_js/checkbox.css" /> 
<script type="text/javascript" src="_js/custom-form-elements.js"></script> 
    <table style="font-family:Tahoma;font-size:12px;color:white;margin:10px 0px 0px 0px;width:800px;padding:0px;">
      <tbody>
        <tr style="height:28px;">
            <td align="left" style="width: 100px;" nowrap>Source path:</td>
            <td align="left" style="width: 630px;"><input type="textfield" style="width:630px;height:24px;" id='sourcepath' readonly></td>
            <td align="left" style="width:100px;" nowrap>
                <input type="button" style="width:60px;height:24px;" id='browse' value="Open" onclick="parent.browseDir('source',document.getElementById('sourcepath'));">
            </td>
        </tr>
        <tr style="height:28px;">
            <td align="left" style="width: 100px;" nowrap>Destination path:</td>
            <td align="left" style="width: 630px;"><input type="textfield" style="width:630px;height:24px;" id='destinationpath' readonly>
            <td align="left" style="width:100px;">
                <input type="button" style="width:60px;height:24px;" id='browse' value="Open" onclick="parent.browseDir('destination', document.getElementById('destinationpath'));">
            </td>
        </tr>
      </tbody>
    </table>
    <table style="font-family:Tahoma;font-size:12px;color:white;margin:0px 0px 0px 0px;width:750px;">
      <tbody>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="increase_verbosity" class="styled" title='This option increases the amount of information you are given during the transfer. By default, rsync works silently.' style='border:0px;' onclick='parent.buildCommand();'/>
            <label style="padding-top: 3px;float: left;" for="increase_verbosity" title='This option increases the amount of information you are given during the transfer. By default, rsync works silently.' >Increase verbosity</label>
          </td>
          <td align="left" style="width: 400px;;" nowrap>
            <input type="checkbox" id="use_relative_path_names" class="styled" title='This means that the full path names specified on the command line are sent to the server rather than just the last parts of the filenames.' onclick='parent.buildCommand();'/>
            <label style="padding-top: 3px;float: left;" for="use_relative_path_names" title='This means that the full path names specified on the command line are sent to the server rather than just the last parts of the filenames.' >Use relative path names</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="suppres_non_error_messages" class="styled" onclick='parent.buildCommand();' title='This option decreases the amount of information you are given during the transfer, notably suppressing information messages from the remote server.'/>
            <label style="padding-top: 3px;float: left;" for="suppres_non_error_messages" title='This option decreases the amount of information you are given during the transfer, notably suppressing information messages from the remote server.'>Supress non-error messages</label>
          </td>
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="turn_off_relative" class="styled" onclick='parent.buildCommand();' title='Use relative paths. This means that the full path names specified on the command line are sent to the server rather than just the last parts of the filenames. This is particularly useful when you want to send several different directories at the same time.'/>
            <label style="padding-top: 3px;float: left;" for="turn_off_relative" title='Use relative paths. This means that the full path names specified on the command line are sent to the server rather than just the last parts of the filenames. This is particularly useful when you want to send several different directories at the same time.'>Turn of relative</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="recurse_into_directories" class="styled" title="This tells rsync to copy directories recursively." onclick='parent.buildCommand();' />
            <label style="padding-top: 3px;float: left;" for="recurse_into_directories" title="This tells rsync to copy directories recursively.">Recurse into directories</label>
          </td>
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="dont_send_implied_dirs_with_relative" class="styled" onclick='parent.buildCommand();' title='This option affects the default behavior of the --relative option. When it is specified, the attributes of the implied directories from the source names are not included in the transfer.'/>
            <label style="padding-top: 3px;float: left;" for="dont_send_implied_dirs_with_relative" title='This option affects the default behavior of the --relative option. When it is specified, the attributes of the implied directories from the source names are not included in the transfer.'>Dont send implied dirs;with relative path</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="transfer_directories_without_recursing" class="styled" onclick='parent.buildCommand();' title="Tell the sending side to include any directories that are encountered. Unlike --recursive, a directory's contents are not copied unless the directory name specified is '.' or ends with a trailing slash (e.g. '.', 'dir/.', 'dir/', etc.)."/>
            <label style="padding-top: 3px;float: left;" for="transfer_directories_without_recursing" title="Tell the sending side to include any directories that are encountered. Unlike --recursive, a directory's contents are not copied unless the directory name specified is '.' or ends with a trailing slash (e.g. '.', 'dir/.', 'dir/', etc.).">Transfer directories without recursing</label>
          </td>
        </tr>
      </tbody>
    </table>
</body>
