<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(isset($_GET["dir"]))
    $inputid=$_GET["dir"];
else
    $inputid="/";

if(is_readable("_include/config.php"))
    include "_include/config.php";
else
    include "config.php";

if ($_GET["select"] == "input")
    $button = "Open";
else if ($_GET["select"] == "output")
    $button = "Save";
?>
<body style="background-color:black;margin:10px;padding:0px;overflow:hidden;" onload="document.getElementById('filename').focus();">
<!-- dhtmlxeverything -->
<script src="_js/dhtmlx/dhtmlx.js"></script>
<link rel="stylesheet" type="text/css" href="_js/dhtmlx/dhtmlx.css">
    <table style="font-family:Tahoma;font-size:14px;color:white;"  width="450px" style="margin-top:10px;">
      <tbody>
        <tr><td>Look in: </td><td align="left"><select id='location' style='width:245px;margin-left:2px;height:24px;' onchange='browseTo();'>
          <option value='/'>/</option>
<?php
    $dir=explode("/", $inputid);
    $value='';
    for($i=1;$i<count($dir)-1;$i++){
        $value .= '/'.$dir[$i];
        print("<option value='".$value."/'>".$value."/</option>\n");
    }
?>
</select></td><td><input type='button' id='up' style='height:24;width:24;background-color: transparent;background-image:url(_img/up.png);border-style:outset;border:1px outset black;' onmouseover="document.getElementById('up').style.border='1px outset #ECE9D8';" onmouseout="document.getElementById('up').style.border='1px outset black';" title="Up One Level" onmousedown="document.getElementById('up').style.border='1px inset #ECE9D8';" onclick='browseUp();'></td></tr>
        <tr><td colspan=3><div id='gridBox' style='width:435;height:208;background-color:white;'></div></td></tr>
        <tr>
          <td align="left" width='30px' style="white-space: nowrap">File name:</td>
          <td align='left' size='100px'><input type="text" id='filename' size=35 onKeyPress="submitenter(this,event);"></td>
          <td align='left' size='100px'><input type="button" style="width:90px;height:24px;" value="<?php echo $button;?>" onclick="returnFiles();"></td>
        </tr>
          <tr><td align="left" width='30px' style="white-space: nowrap">Files of type:</td>
          <td align="left"><select id='filetype' style='width:245px;margin-left:2px; height:24px;' onchange='filterMask();'>
<?php
    global $datadir;
    if ($_GET["select"] == "input"){
        print("<option value='*.synk'>SYNK Project Files(*.synk)</option>\n");
    }
    else if ($_GET["select"] == "output"){
        print("<option value='*.synk'>SYNK Project Files(*.synk)</option>\n");
    }
?>
          </select></td>
          <td align='left' size='100px'><input type="button" style="width:90px;height:24px;" value="Cancel" onclick="closeWindow();"></td></tr>
      </tbody>
    </table>
<SCRIPT TYPE="text/javascript">
function closeWindow(){
    parent.ok_pressed=false;
    parent.dhxFileBrowse.window("w2").close();
}

function returnFiles(){
    if (document.getElementById('filename').value != ''){
        parent.fileselect_location = document.getElementById('location').value;
        parent.fileselect = document.getElementById('filename').value;
<?php
if ($_GET["select"] == "input"){
    print("if (dhxFileSelGrid.doesRowExist(parent.fileselect_location+parent.fileselect)) {\n");
    print("parent.ok_pressed=true;\n");
    print("parent.dhxFileBrowse.window('w2').close();\n");
    print("}\n");
    print("else {\n");
    print("parent.Sexy.alert('<h1>SYNK Project File Open Error</h1><p>Cannot Open '+parent.fileselect_location+parent.fileselect+'</p><p>No such file or directory.</p>');\n");
    print("}\n");
}
else if ($_GET["select"] == "output"){
    print("if (dhxFileSelGrid.doesRowExist(parent.fileselect_location+parent.fileselect)) {\n");
    print("parent.Sexy.confirm('<h1>Confirm Overwrite</h1><p>Do you want to really overwrite the SYNK Project File '+parent.fileselect_location+parent.fileselect+'?</p>', { onComplete: function(returnvalue) {\n");
    print("if(returnvalue) {\n");
    print("parent.ok_pressed=true;\n");
    print("parent.dhxFileBrowse.window('w2').close();\n");
    print("}\n");
    print("}\n");
    print("});\n");
    print("}\n");
    print("else {\n");
    print("parent.ok_pressed=true;\n");
    print("parent.dhxFileBrowse.window('w2').close();\n");
    print("}\n");
}
?>
    }
}

function submitenter(myfield,e){
    var keycode;
    if (window.event) keycode = window.event.keyCode;
    else if (e) keycode = e.which;else return true;
    if (keycode == 13) returnFiles();
}

function roundNumber(num, dec) { var result = Math.round( Math.round( num * Math.pow( 10, dec + 1 ) ) / Math.pow( 10, 1 ) ) / Math.pow(10,dec); return result; }

function PrintSize(size) { if (size <1024 && size >=0) size=size+" bytes";
        else if (size >=1024 && size <1048576) size=roundNumber(size/1024,2)+" KB";
        else if (size >=1048576 && size <1073741824) size=roundNumber(size/1024/1024,2)+" MB";
        else if (size >=1073741824) size=roundNumber(size/1024/1024/1024,2)+" GB ";
        return size; }


// Tree
var dhxFileSelGrid;
dhxFileSelGrid = new dhtmlXGridObject(document.getElementById('gridBox'));
dhxFileSelGrid.setImagePath("_js/dhtmlx/imgs/");
dhxFileSelGrid.setHeader(",Name,Size,Type");
dhxFileSelGrid.setColumnIds("img,name,size,type");
dhxFileSelGrid.setInitWidths("25,200,100,200");
dhxFileSelGrid.setColAlign("center,left,right,left");
dhxFileSelGrid.enableResizing("false,true,true,true");
dhxFileSelGrid.setSkin("dhx_black");
dhxFileSelGrid.setColSorting("na,str,str,str");
dhxFileSelGrid.setColTypes("img,ro,ro,ro");
dhxFileSelGrid.enableTooltips("false,true,false,false");
ftype=document.getElementById('filetype').value;
inputid='<?php echo $inputid;?>';
dhxFileSelGrid.loadXML("getDirContent.php?dir="+inputid+"&filter="+ftype,  function(){
    document.getElementById('location').value=inputid;
});
dhxFileSelGrid.attachEvent("onRowDblClicked", showItemContent);
dhxFileSelGrid.attachEvent("onRowSelect", selectFile);
dhxFileSelGrid.init();
dhxFileSelGrid.setSortImgState(true,1,"asc");
<?php
if ($_GET["select"] == "output")
    print("document.getElementById('filename').value='".$_GET['outfile']."';\n");
?>

function showItemContent(id){
    ftype=document.getElementById('filetype').value;
    type=basename(dhxFileSelGrid.cells(id,0).getValue());
    if (type == "dir.png"){
        dhxFileSelGrid.clearAll();
        dhxFileSelGrid.loadXML("getDirContent.php?dir="+id+"&filter="+ftype);
        sel=document.getElementById('location');
        sel.options[sel.options.length]=new Option(id,id,true,true);
        if (document.getElementById('location').value == "/") {
            document.getElementById('up').style.backgroundImage="url(_img/up_dis.png)";
            document.getElementById('up').disabled=true;
            document.getElementById('up').style.border="1px outset black";
        }
        else {
            document.getElementById('up').style.backgroundImage="url(_img/up.png)";
            document.getElementById('up').disabled=false;
        }
    }
    else {
        if (basename(id) != '') {
            document.getElementById('filename').value=basename(id);
            returnFiles();
        }
    }
}

function browseUp(){
    ftype=document.getElementById('filetype').value;
    loc=document.getElementById('location').value;
    if (loc != "/"){
        dhxFileSelGrid.clearAll();
        dhxFileSelGrid.loadXML("getDirContent.php?dir="+dirname(loc)+"/"+"&filter="+ftype);
        document.getElementById('location').selectedIndex=document.getElementById('location').length-2;
        document.getElementById('location').remove(document.getElementById('location').length-1);
        if (document.getElementById('location').value == "/") {
            document.getElementById('up').style.backgroundImage="url(_img/up_dis.png)";
            document.getElementById('up').disabled=true;
            document.getElementById('up').style.border="1px outset black";
        }
        else {
            document.getElementById('up').style.backgroundImage="url(_img/up.png)";
            document.getElementById('up').disabled=false;
        }
<?php
if ($_GET["select"] == "input")
    print("document.getElementById('filename').value='';\n");
?>
    }
}

function browseTo(){
    ftype=document.getElementById('filetype').value;
    loc=document.getElementById('location').value;
    dhxFileSelGrid.clearAll();
    dhxFileSelGrid.loadXML("getDirContent.php?dir="+loc+"&filter="+ftype);
    pos=document.getElementById('location').selectedIndex;
    length=document.getElementById('location').length;
    for (var i=length;i>pos;i--)
        document.getElementById('location').remove(i);
<?php
if ($_GET["select"] == "input")
    print("document.getElementById('filename').value='';\n");
?>
}

function filterMask(){
    loc=document.getElementById('location').value;
    ftype=document.getElementById('filetype').value;
    dhxFileSelGrid.clearAll();
    dhxFileSelGrid.loadXML("getDirContent.php?dir="+loc+"&filter="+ftype);
}

function selectFile(id){
    if (dhxFileSelGrid.getSelectedRowId()) {
        var ids=dhxFileSelGrid.getSelectedRowId().split(",");
        var data='';
        for(var i=0;i<ids.length;i++){
            type=basename(dhxFileSelGrid.cells(ids[i],0).getValue());
            if (type != "dir.png"){
                if (ids.length == 1)
                    data=basename(ids[0]);
                else
                    data += '"'+basename(ids[i])+'" ';
            }
        }
<?php
if ($_GET["select"] == "output")
        print("if (data != '')\n");
?>
            document.getElementById('filename').value=data;
    }
}

function basename (path, suffix) {
    // Returns the filename component of the path
    //
    // version: 1003.2411
    // discuss at: http://phpjs.org/functions/basename
    // +   original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    // +   improved by: Ash Searle (http://hexmen.com/blog/)
    // +   improved by: Lincoln Ramsay
    // +   improved by: djmix
    // *     example 1: basename('/www/site/home.htm', '.htm');
    // *     returns 1: 'home'
    // *     example 2: basename('ecra.php?p=1');
    // *     returns 2: 'ecra.php?p=1'
    var b = path.replace(/^.*[\/\\]/g, '');

    if (typeof(suffix) == 'string' && b.substr(b.length-suffix.length) == suffix) {
        b = b.substr(0, b.length-suffix.length);
    }
    return b;
}

function dirname (path) {
    // Returns the directory name component of the path
    //
    // version: 1003.2411
    // discuss at: http://phpjs.org/functions/dirname
    // +   original by: Ozh
    // +   improved by: XoraX (http://www.xorax.info)
    // *     example 1: dirname('/etc/passwd');
    // *     returns 1: '/etc'
    // *     example 2: dirname('c:/Temp/x');
    // *     returns 2: 'c:/Temp'
    // *     example 3: dirname('/dir/test/');
    // *     returns 3: '/dir'

    return path.replace(/\\/g,'/').replace(/\/[^\/]*\/?$/, '');
}

function removeOptions(obj) {
    if (obj == null) return;
    if (obj.options == null) return;
    obj.options.length = 0;      // That's it!
}
</SCRIPT>
</body>
