<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/config.php"))
    include "_include/config.php";
else
    include "config.php";
?>
<body style="background-color:black;margin:0px;padding:0px;overflow:hidden;">
<link rel="stylesheet" href="_js/checkbox.css" />
<script type="text/javascript" src="_js/custom-form-elements.js"></script>
    <table style="font-family:Tahoma;font-size:12px;color:white;margin:10px 0px 0px 0px;" width="800px">
      <tbody>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="update_destination_files_inplace" class="styled" onclick='parent.buildCommand();' title="This option changes how rsync transfers a file when its data needs to be updated: instead of the default method of creating a new copy of the file and moving it into place when it is complete, rsync instead writes the updated data directly to the destination file."/>
            <label style="padding-top: 3px;float: left;" for="update_destination_files_inplace" title="This option changes how rsync transfers a file when its data needs to be updated: instead of the default method of creating a new copy of the file and moving it into place when it is complete, rsync instead writes the updated data directly to the destination file.">Update destination files in-place</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="only_update_files_that_already_exist" class="styled" onclick='parent.buildCommand();' title="This tells rsync to skip creating files (including directories) that do not exist yet on the destination. If this option is combined with the --ignore-existing option, no files will be updated."/>
            <label style="padding-top: 3px;float: left;" for="only_update_files_that_already_exist" title="This tells rsync to skip creating files (including directories) that do not exist yet on the destination. If this option is combined with the --ignore-existing option, no files will be updated.">Only update files that already exist</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="put_all_updated_files_into_place_at_end" class="styled" onclick='parent.buildCommand();' title="This option puts the temporary file from each updated file into a holding directory until the end of the transfer, at which time all the files are renamed into place in rapid succession."/>
            <label style="padding-top: 3px;float: left;" for="put_all_updated_files_into_place_at_end" title="This option puts the temporary file from each updated file into a holding directory until the end of the transfer, at which time all the files are renamed into place in rapid succession.">Put all updated files into place at end</label>
          </td>
        </tr>
      </tbody>
    </table>
</body>
