<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/config.php"))
    include "_include/config.php";
else
    include "config.php";
?>
<body style="background-color:black;margin:0px;padding:0px;overflow:hidden;">
<link rel="stylesheet" href="_js/checkbox.css" /> 
<script type="text/javascript" src="_js/custom-form-elements.js"></script> 
<script type="text/javascript" src="_js/jquery/jquery.js"></script>
<script type="text/javascript" src="_js/jquery/ui.core.js"></script>
<script type="text/javascript" src="_js/jquery/ui.spinner.js"></script>
<link rel="stylesheet" href="_js/jquery/spinner.css" />
<link rel="stylesheet" type="text/css" href="custom.css">
    <table style="font-family:Tahoma;font-size:12px;color:white;margin:10px 0px 0px 0px;" width="800px">
      <tbody>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" id="delete_files_that_dont_exist_on_sender" class="styled" onclick="parent.buildCommand();" checked title="This tells rsync to delete extraneous files from the receiving side (ones that aren't on the sending side), but only for the directories that are being synchronized."/>
            <label style="padding-top: 3px;float: left;" for="delete_files_that_dont_exist_on_sender" title="This tells rsync to delete extraneous files from the receiving side (ones that aren't on the sending side), but only for the directories that are being synchronized.">Delete files that don't exist on sender</label>
          </td>
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" class="styled" onclick="parent.buildCommand();" id="force_deletion_of_dirs_even_if_not_empty"  title='This option tells rsync to delete a non-empty directory when it is to be replaced by a non-directory. This is only relevant if deletions are not active.'/>
            <label style="padding-top: 3px;float: left;" for="force_deletion_of_dirs_even_if_not_empty" title='This option tells rsync to delete a non-empty directory when it is to be replaced by a non-directory. This is only relevant if deletions are not active'>Force deletion of dirs even if not empty</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" id="sent_files_are_removed_from_sender" class="styled" onclick="parent.buildCommand();" title='his tells rsync to remove from the sending side the files (meaning non-directories) that are a part of the transfer and have been successfully duplicated on the receiving side.'/>
            <label style="padding-top: 3px;float: left;" for="sent_files_are_removed_from_sender" title='his tells rsync to remove from the sending side the files (meaning non-directories) that are a part of the transfer and have been successfully duplicated on the receiving side.'>Sent files/symlinks are removed from sender</label>
          </td>
          <td align="left" style="width: 400px;" nowrap>
            <input type="radio" class="styled" onclick="parent.buildCommand();" name="receiver" id="receiver_deletes_before_transfer" checked title='Request that the file-deletions on the receiving side be done before the transfer starts. See --delete (which is implied) for more details on file-deletion.'/>
            <label style="padding-top: 3px;float: left;" for="receiver_deletes_before_transfer" title='Request that the file-deletions on the receiving side be done before the transfer starts. See --delete (which is implied) for more details on file-deletion.'>Receiver deletes before transfer</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" id="also_delete_excluded_files_on_receiver" class="styled" onclick="parent.buildCommand();" checked title='In addition to deleting the files on the receiving side that are not on the sending side, this tells rsync to also delete any files on the receiving side that are excluded.'/>
            <label style="padding-top: 3px;float: left;" for="also_delete_excluded_files_on_receiver" title='In addition to deleting the files on the receiving side that are not on the sending side, this tells rsync to also delete any files on the receiving side that are excluded'>Also delete excluded files on receiver</label>
          </td>
          <td align="left" style="width: 400px;" nowrap>
            <input type="radio" class="styled" onclick="parent.buildCommand();" name="receiver" id="receiver_deletes_during_xfer" title='Request that the file-deletions on the receiving side be done incrementally as the transfer happens. The per-directory delete scan is done right before each directory is checked for updates, so it behaves like a more efficient --delete-before, including doing the deletions prior to any per-directory filter files being updated.'/>
            <label style="padding-top: 3px;float: left;" for="receiver_deletes_during_xfer" title='Request that the file-deletions on the receiving side be done incrementally as the transfer happens. The per-directory delete scan is done right before each directory is checked for updates, so it behaves like a more efficient --delete-before, including doing the deletions prior to any per-directory filter files being updated.'>Receiver deletes during xfer, not before</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" id="delete_even_if_there_are_io_errors" class="styled" onclick="parent.buildCommand();" title='Tells --delete to go ahead and delete files even when there are I/O errors.'/>
            <label style="padding-top: 3px;float: left;" for="delete_even_if_there_are_io_errors" title='Tells --delete to go ahead and delete files even when there are I/O errors.'>Delete even if there are I/O errors</label>
          </td>
          <td align="left" style="width: 400px;" nowrap>
            <input type="radio" class="styled" onclick="parent.buildCommand();" name="receiver" id="receiver_deletes_after_transfer" title='Request that the file-deletions on the receiving side be done after the transfer has completed. This is useful if you are sending new per-directory merge files as a part of the transfer and you want their exclusions to take effect for the delete phase of the current transfer.'/>
            <label style="padding-top: 3px;float: left;" for="receiver_deletes_after_transfer" title='Request that the file-deletions on the receiving side be done after the transfer has completed. This is useful if you are sending new per-directory merge files as a part of the transfer and you want their exclusions to take effect for the delete phase of the current transfer.'>Receiver deletes after transfer, not before</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width:250px;" nowrap>
            <label title='This tells rsync not to delete more than NUM files or directories. If that limit is exceeded, a warning is output and rsync exits with an error code of 25'>Don't delete more than NUM files:</label>
          </td>
          <td align="left" style="width:120px;"><input type="text" id="dont_delete_more_then_num_files" value=0 style='width:100px;height:24px;float:left;' title='This tells rsync not to delete more than NUM files or directories. If that limit is exceeded, a warning is output and rsync exits with an error code of 25'/>
          </td>
        </tr>
      </tbody>
    </table>
<script>
$(document).ready(function() {
  $("#dont_delete_more_then_num_files").spinner({max: 100000, min: 0});
  $('#dont_delete_more_then_num_files').bind('spinchange', function(event, ui) {
    parent.buildCommand();
  });
});
</script>
</body>
