<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/config.php"))
    include "_include/config.php";
else
    include "config.php";

if(isset($_GET["dir"]))
    $inputid=$_GET["dir"];
else
    $inputid="/";

?>
<body style="background-color:black;margin:10px;padding:0px;overflow:hidden;">
<script src="_js/dhtmlx/dhtmlx.js"></script>
<link rel="stylesheet" type="text/css" href="_js/dhtmlx/dhtmlx.css">
<table style="font-family:Tahoma;font-size:12px;color:white;"  width="100%" style="margin-top:10px;">
  <tbody>
    <tr><td>Select directory:</td></tr>
    <tr><td><div id='treeBox' style='width:320;height:280;background-color:white;border:1px solid #727272;margin:2px 2px 2px 7px;'></div></td></tr>
    <tr><td colspan="1"><hr></td></tr>
    <tr><td colspan="1" align="right">
      <input type="button" style="width:100px;height:24px;" value="OK" onclick="selectFolder();">
      <input type="button" style="width:100px;height:24px;" value="Cancel" onclick="closeWindow();">
    </td></tr>
  </tbody>
</table>
<SCRIPT TYPE="text/javascript">
function closeWindow(){
    parent.dirlocation = '';
    parent.dhxDirBrowse.window("w2").close();
}

function selectFolder(){
    parent.dirlocation = fileBrowseTree.getSelectedItemId();
    parent.dhxDirBrowse.window("w2").close();
}

var fileBrowseTree;
// Tree
var fileBrowseTree, inputid;
fileBrowseTree=new dhtmlXTreeObject(document.getElementById('treeBox'),'100%','100%',0);
fileBrowseTree.setSkin("dhx_black");
fileBrowseTree.setImagePath('_js/dhtmlx/imgs/');
fileBrowseTree.loadXML('getDirTree.php');
fileBrowseTree.setXMLAutoLoading('getDirTree.php');
inputid='<?php echo $inputid;?>';
var ids=inputid.split('/');
fileBrowseTree.attachEvent('onXLE', function(){
    var id='/';
    for (i=1;i<ids.length-1;i++) {
        id=id+ids[i]+'/';
        fileBrowseTree.openItem(id);
    }
    fileBrowseTree.selectItem(inputid);
    fileBrowseTree.focusItem(inputid);
}); 
</SCRIPT>
</body>
