<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/config.php"))
    include "_include/config.php";
else
    include "config.php";
?>
<body style="background-color:black;margin:0px;padding:0px;overflow:hidden;">
<link rel="stylesheet" href="_js/checkbox.css" />
<script type="text/javascript" src="_js/custom-form-elements.js"></script>
    <table style="font-family:Tahoma;font-size:12px;color:white;margin:10px 0px 0px 0px;" width="800px">
      <tbody>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="sync_to_host" class="styled" onclick="if(this.checked) {document.getElementById('hostname').disabled=false;document.getElementById('port').disabled=false;document.getElementById('username').disabled=false;document.getElementById('password').disabled=false;}else{document.getElementById('hostname').disabled=true;document.getElementById('port').disabled=true;document.getElementById('username').disabled=true;document.getElementById('password').disabled=true;}parent.buildCommand();" title="Sync to specified host. Default will be localhost."/>
            <label style="padding-top: 3px;float: left;" for="sync_to_host" title="Sync to specified host. Default will be localhost.">Sync to Remote host</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <label title="Enter a valid fully qualified hostname. (ex. c200.popcornhour.com)">Host:</label>
            <input id='hostname' type="text" style='width:340px;' disabled onchange='parent.buildCommand();' title="Enter a valid fully qualified hostname. (ex. c200.popcornhour.com)"/>
          </td>
          <td align="left" style="width: 400px;" nowrap>
            <label title="Enter a valid portnumber. Default is 873.">Port:</label>
            <input id='port' type="text" style='width:240px;height:24px;' disabled onchange='parent.buildCommand();'  title="Enter a valid portnumber. Default is 873."/>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <label title="Enter a valid username for the specified host.">User:</label>
            <input id='username' type="text" style='width:340px;' disabled onchange='parent.buildCommand();' title="Enter a valid username for the specified host."/>
          </td>
          <td align="left" style="width: 400px;" nowrap>
            <label title="Enter a valid password">Password:</label>
            <input id='password' type="password" style='width:212px;height:24px;' disabled onchange='parent.buildCommand();'  title="Enter a valid password"/>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width:800px;" colspan=2 nowrap>
            <input type="checkbox" id="specify_the_remote_shell_to_use" class="styled" onclick="if(this.checked) {document.getElementById('remote_shell').disabled=false;}else{document.getElementById('remote_shell').disabled=true;}parent.buildCommand();"/>
            <label style="padding-top: 3px;float: left;" for="specify_the_remote_shell_to_use" title="This option allows you to choose an alternative remote shell program to use for communication between the local and remote copies of rsync. Typically, rsync is configured to use ssh by default, but you may prefer to use rsh on a local network.">Specify the remote shell to use:</label>
            <input type="text" id="remote_shell" style='width:470px;height:24px;' disabled onchange='parent.buildCommand();' title="This option allows you to choose an alternative remote shell program to use for communication between the local and remote copies of rsync. Typically, rsync is configured to use ssh by default, but you may prefer to use rsh on a local network."/>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width:800px;" colspan=2 nowrap>
            <input type="checkbox" id="specify_the_rsync_to_run_on_remote_machine" class="styled" onclick="if(this.checked) {document.getElementById('remote_rsync').disabled=false;}else{document.getElementById('remote_rsync').disabled=true;}parent.buildCommand();"/>
            <label style="padding-top: 3px;float: left;" for="specify_the_rsync_to_run_on_remote_machine" title="Use this to specify what program is to be run on the remote machine to start-up rsync. Often used when rsync is not in the default remote-shell's path (e.g. --rsync-path=/usr/local/bin/rsync).">Specify the rsync to run on remote machine:</label>
            <input type="text" id="remote_rsync" style='width:400px;height:24px;' disabled onchange='parent.buildCommand();' title="Use this to specify what program is to be run on the remote machine to start-up rsync. Often used when rsync is not in the default remote-shell's path (e.g. --rsync-path=/usr/local/bin/rsync)."/>
          </td>
        </tr>
      </tbody>
    </table>
</body>
