<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/config.php"))
    include "_include/config.php";
else
    include "config.php";
?>
<body style="background-color:black;margin:0px;padding:0px;overflow:hidden;">
<link rel="stylesheet" href="_js/checkbox.css" />
<script type="text/javascript" src="_js/custom-form-elements.js"></script>
    <table style="font-family:Tahoma;font-size:12px;color:white;margin:10px 0px 0px 0px;" width="800px">
      <tbody>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="copy_symlinks_as_symlinks" class="styled" onclick='parent.buildCommand();' title="When symlinks are encountered, recreate the symlink on the destination."/>
            <label style="padding-top: 3px;float: left;" for="copy_symlinks_as_symlinks" title="When symlinks are encountered, recreate the symlink on the destination.">Copy symlinks as symlinks</label>
          </td>
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="treat_symlinked_dir_on_receiver_as_dir" class="styled" onclick='parent.buildCommand();' title="This option causes the receiving side to treat a symlink to a directory as though it were a real directory, but only if it matches a real directory from the sender."/>
            <label style="padding-top: 3px;float: left;" for="treat_symlinked_dir_on_receiver_as_dir" title="This option causes the receiving side to treat a symlink to a directory as though it were a real directory, but only if it matches a real directory from the sender.">Treat symlinked dir on receiver as dir</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="transform_symlink_into_referent_file_dir" class="styled" onclick='parent.buildCommand();' checked title="When symlinks are encountered, the item that they point to (the referent) is copied, rather than the symlink."/>
            <label style="padding-top: 3px;float: left;" for="transform_symlink_into_referent_file_dir" title="When symlinks are encountered, the item that they point to (the referent) is copied, rather than the symlink.">Transform symlink into referent file/dir</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="only_unsafe_symlinks_are_transformed" class="styled" onclick='parent.buildCommand();' title="This tells rsync to copy the referent of symbolic links that point outside the copied tree. Absolute symlinks are also treated like ordinary files, and so are any symlinks in the source path itself when --relative is used."/>
            <label style="padding-top: 3px;float: left;" for="only_unsafe_symlinks_are_transformed" title="This tells rsync to copy the referent of symbolic links that point outside the copied tree. Absolute symlinks are also treated like ordinary files, and so are any symlinks in the source path itself when --relative is used.">Only "unsafe" symlinks are transformed</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="ignore_symlinks_that_point_outside_the_tree" class="styled" onclick='parent.buildCommand();' title="This tells rsync to ignore any symbolic links which point outside the copied tree. All absolute symlinks are also ignored."/>
            <label style="padding-top: 3px;float: left;" for="ignore_symlinks_that_point_outside_the_tree" title="This tells rsync to ignore any symbolic links which point outside the copied tree. All absolute symlinks are also ignored.">Ignore symlinks that point outside the tree</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="preserve_hardlinks" class="styled" onclick='parent.buildCommand();' title="This tells rsync to look for hard-linked files in the transfer and link together the corresponding files on the receiving side. Without this option, hard-linked files in the transfer are treated as though they were separate files."/>
            <label style="padding-top: 3px;float: left;" for="preserve_hardlinks" title="This tells rsync to look for hard-linked files in the transfer and link together the corresponding files on the receiving side. Without this option, hard-linked files in the transfer are treated as though they were separate files.">Preserve hard links</label>
          </td>
        </tr>
      </tbody>
    </table>
</body>
