<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/config.php"))
    include "_include/config.php";
else
    include "config.php";
?>
<body style="background-color:black;margin:0px;padding:0px;overflow:hidden;">
<link rel="stylesheet" href="_js/checkbox.css" />
<script type="text/javascript" src="_js/custom-form-elements.js"></script>
    <table style="font-family:Tahoma;font-size:12px;color:white;margin:10px 0px 0px 0px;" width="800px">
      <tbody>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="preserve_permissions" class="styled" onclick='parent.buildCommand();' checked title="This option causes the receiving rsync to set the destination permissions to be the same as the source permissions."/>
            <label style="padding-top: 3px;float: left;" for="preserve_permissions" title="This option causes the receiving rsync to set the destination permissions to be the same as the source permissions.">Preserve permissions</label>
          </td>
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="omit_directories_when_preserving_times" class="styled" onclick='parent.buildCommand();' title="This tells rsync to omit directories when it is preserving modification times"/>
            <label style="padding-top: 3px;float: left;" for="omit_directories_when_preserving_times" title="This tells rsync to omit directories when it is preserving modification times">Omit directories when preserving times</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="preserve_owner" class="styled" onclick='parent.buildCommand();' title="This option causes rsync to set the owner of the destination file to be the same as the source file, but only if the receiving rsync is being run as the super-user"/>
            <label style="padding-top: 3px;float: left;" for="preserve_owner" title="This option causes rsync to set the owner of the destination file to be the same as the source file, but only if the receiving rsync is being run as the super-user">Preserve owner - root only</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="preserve_group" class="styled" onclick='parent.buildCommand();' checked title="This option causes rsync to set the group of the destination file to be the same as the source file. If the receiving program is not running as the super-user (or if --no-super was specified), only groups that the invoking user on the receiving side is a member of will be preserved."/>
            <label style="padding-top: 3px;float: left;" for="preserve_group" title="This option causes rsync to set the group of the destination file to be the same as the source file. If the receiving program is not running as the super-user (or if --no-super was specified), only groups that the invoking user on the receiving side is a member of will be preserved.">Preserve group</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="preserve_devices" class="styled" onclick='parent.buildCommand();' title="This option causes rsync to transfer character and block device files to the remote system to recreate these devices. This option has no effect if the receiving rsync is not run as the super-user"/>
            <label style="padding-top: 3px;float: left;" for="preserve_devices" title="This option causes rsync to transfer character and block device files to the remote system to recreate these devices. This option has no effect if the receiving rsync is not run as the super-user">Preserve devices - root only</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="preserve_times" class="styled" onclick='parent.buildCommand();' checked title="This tells rsync to transfer modification times along with the files and update them on the remote system."/>
            <label style="padding-top: 3px;float: left;" for="preserve_times" title="This tells rsync to transfer modification times along with the files and update them on the remote system.">Preserve times</label>
          </td>
        </tr>
      </tbody>
    </table>
</body>
