<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/config.php"))
    include "_include/config.php";
else
    include "config.php";

if(is_readable("_include/functions.php"))
    include "_include/functions.php";
else
    include "functions.php";

global $tmpdir, $homedir;
ini_set("session.save_path", $tmpdir);
ini_set("error_reporting", "E_ERROR");
$perror="/tmp/.perror";
$synk_logfile='/tmp/synk_log.txt';
session_start();

if ( stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml") ) {
    header("Content-type: application/xhtml+xml"); } else {
    header("Content-type: text/xml");
}
print("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
?>
<scopes>
<GET>

<?php
if (isset($_GET["command"])){
    $input_command=$_GET["command"];

    if (file_exists($synk_logfile))
        unlink($synk_logfile);
    $synk_command = $input_command.' 2>&- 1>&- & echo $!';
    $PID = exec($synk_command);
    print("<param><![CDATA[".$PID."]]></param>");
} 
else if (isset($_GET["task"]) && trim($_GET["task"]) == "check_pid"){
    $pid=$_GET["pid"];

    if (file_exists("/proc/".$pid))
        print("<param>running</param>");
    else
        print("<param>notrunning</param>");

    if (file_exists($synk_logfile) && filesize($synk_logfile) > 0) {
        $file_log=file_get_contents($synk_logfile);
        print("<param><![CDATA[".$file_log."]]></param>");
    }
}
else if (isset($_GET["task"]) && trim($_GET["task"]) == "kill_pid"){
    $pid=$_GET["pid"];

    if (isPIDRunning($pid))
        killPid($pid);
    print("<param name='error'>yes</param>");
}
?>
</GET>
</scopes>
