<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/config.php"))
    include "_include/config.php";
else
    include "config.php";
?>
<body style="background-color:black;margin:0px;padding:0px;overflow:hidden;">
<link rel="stylesheet" href="_js/checkbox.css" /> 
<script type="text/javascript" src="_js/custom-form-elements.js"></script> 
<script type="text/javascript" src="_js/jquery/jquery.js"></script>
<script type="text/javascript" src="_js/jquery/ui.core.js"></script>
<script type="text/javascript" src="_js/jquery/ui.spinner.js"></script>
<link rel="stylesheet" href="_js/jquery/spinner.css" />
<link rel="stylesheet" type="text/css" href="custom.css">
    <table style="font-family:Tahoma;font-size:12px;color:white;margin:10px 0px 0px 0px;" width="800px">
      <tbody>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="dont_skip_files_that_match_size_and_time" class="styled" onclick="parent.buildCommand();" title='Normally rsync will skip any files that are already the same size and have the same modification timestamp. This option turns off this "quick check" behavior, causing all files to be updated.'/>
            <label style="padding-top: 3px;float: left;" for="dont_skip_files_that_match_size_and_time" title='Normally rsync will skip any files that are already the same size and have the same modification timestamp. This option turns off this "quick check" behavior, causing all files to be updated.'>Don't skip files that match size and time</label>
          </td>
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" class="styled" onclick="parent.buildCommand();" id="skip_files_that_are_newer_on_the_receiver" title="This forces rsync to skip any files which exist on the destination and have a modified time that is newer than the source file. (If an existing destination file has a modification time equal to the source file's, it will be updated if the sizes are different.)"/>
            <label style="padding-top: 3px;float: left;" for="skip_files_that_are_newer_on_the_receiver" title="This forces rsync to skip any files which exist on the destination and have a modified time that is newer than the source file. (If an existing destination file has a modification time equal to the source file's, it will be updated if the sizes are different.)">Skip files that are newer on the receiver</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="skip_files_that_match_in_size" class="styled" onclick="parent.buildCommand();" title="This modifies rsync's 'quick check' algorithm for finding files that need to be transferred, changing it from the default of transferring files with either a changed size or a changed last-modified time to just looking for files that have changed in size."/>
            <label style="padding-top: 3px;float: left;" for="skip_files_that_match_in_size" title="This modifies rsync's 'quick check' algorithm for finding files that need to be transferred, changing it from the default of transferring files with either a changed size or a changed last-modified time to just looking for files that have changed in size.">Skip files that match in size</label>
          </td>
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" id="dont_cross_filesystem_boundaries" class="styled" onclick="parent.buildCommand();" title="This tells rsync to avoid crossing a filesystem boundary when recursing. This does not limit the user's ability to specify items to copy from multiple filesystems, just rsync's recursion through the hierarchy of each directory that the user specified, and also the analogous recursion on the receiving side during deletion."/>
            <label style="padding-top: 3px;float: left;" for="dont_cross_filesystem_boundaries" title="This tells rsync to avoid crossing a filesystem boundary when recursing. This does not limit the user's ability to specify items to copy from multiple filesystems, just rsync's recursion through the hierarchy of each directory that the user specified, and also the analogous recursion on the receiving side during deletion.">Don't cross filesystem boundaries</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="skip_based_on_checksum" class="styled" onclick="parent.buildCommand();" title="This changes the way rsync checks if the files have been changed and are in need of a transfer. Without this option, rsync uses a 'quick check' that (by default) checks if each file's size and time of last modification match between the sender and receiver."/>
            <label style="padding-top: 3px;float: left;" for="skip_based_on_checksum" title="This changes the way rsync checks if the files have been changed and are in need of a transfer. Without this option, rsync uses a 'quick check' that (by default) checks if each file's size and time of last modification match between the sender and receiver.">Skip based on checksum</label>
          </td>
          <td align="left" style="width:250px;" nowrap>
            <label title="This tells rsync to avoid transferring any file that is larger than the specified SIZE. The SIZE value can be suffixed with a string to indicate a size multiplier, and may be a fractional value ">Don't transfer any file larger than: (Byte)</label>
          </td>
            <td align="left" style="width:120px;"><input type="text" id="dont_transfer_any_file_larger_than_size" value=0 style='width:40px;height:24px;' title='This tells rsync to avoid transferring any file that is larger than the specified SIZE. The SIZE value can be suffixed with a string to indicate a size multiplier, and may be a fractional value '/>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="ignore_files_that_already_exist_on_receiver" class="styled" onclick="parent.buildCommand();" title="This tells rsync to skip updating files that already exist on the destination (this does not ignore existing directories, or nothing would get done)."/>
            <label style="padding-top: 3px;float: left;" for="ignore_files_that_already_exist_on_receiver" title="This tells rsync to skip updating files that already exist on the destination (this does not ignore existing directories, or nothing would get done).">Ignore files that already exist on server</label>
          </td>
          <td align="left" style="width:250px;" nowrap>
            <label title="This forces the block size used in rsync's delta-transfer algorithm to a fixed value. It is normally selected based on the size of each file being updated.">Force a fixed checksum block-size:</label>
          </td>
            <td align="left" style="width:120px;"><input type="text" id='force_a_fixed_checksum_blocksize' value=0 style='width:40px;height:24px;' title="This forces the block size used in rsync's delta-transfer algorithm to a fixed value. It is normally selected based on the size of each file being updated."/>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" nowrap>
            <input type="checkbox" id="autoignore_files_in_the_same_way_cvs_does" class="styled" onclick="parent.buildCommand();" title="This is a useful shorthand for excluding a broad range of files that you often don't want to transfer between systems. It uses a similar algorithm to CVS to determine if a file should be ignored."/>
            <label style="padding-top: 3px;float: left;" for="autoignore_files_in_the_same_way_cvs_does" title="This is a useful shorthand for excluding a broad range of files that you often don't want to transfer between systems. It uses a similar algorithm to CVS to determine if a file should be ignored.">Auto-ignore files in the same way CSV does</label>
          </td>
          <td align="left" style="width:250px;" nowrap>
            <label title="When comparing two timestamps, rsync treats the timestamps as being equal if they differ by no more than the modify-window value. This is normally 0 (for an exact match), but you may find it useful to set this to a larger value in some situations.">Compare mod-times with reduced accuracy:</label>
          </td>
            <td align="left" style="width:120px;"><input type="text" id="compare_mod_times_with_reduced_accuracy" value=0 style='width:40px;height:24px;' title="When comparing two timestamps, rsync treats the timestamps as being equal if they differ by no more than the modify-window value. This is normally 0 (for an exact match), but you may find it useful to set this to a larger value in some situations."/>
          </td>
        </tr>
      </tbody>
    </table>
<script>
$(document).ready(function() {
  $("#dont_transfer_any_file_larger_than_size").spinner({max: 100000, min: 0});
  $('#dont_transfer_any_file_larger_than_size').bind('spinchange', function(event, ui) {
    parent.buildCommand();
  });
  $("#compare_mod_times_with_reduced_accuracy").spinner({max: 100000, min: 0});
  $('#compare_mod_times_with_reduced_accuracy').bind('spinchange', function(event, ui) {
    parent.buildCommand();
  });
  $("#force_a_fixed_checksum_blocksize").spinner({max: 100000, min: 0});
  $('#force_a_fixed_checksum_blocksize').bind('spinchange', function(event, ui) {
    parent.buildCommand();
  });
});
</script>
</body>
