<?php
// +-----------------------------------------------------------------------+
// |                                                                       |
// | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS   |
// | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT     |
// | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR |
// | A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  |
// | OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, |
// | SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT      |
// | LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, |
// | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY |
// | THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   |
// | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE |
// | OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  |
// |                                                                       |
// +-----------------------------------------------------------------------+

if(is_readable("_include/config.php"))
    include "_include/config.php";
else
    include "config.php";
?>
<body style="background-color:black;margin:0px;padding:0px;overflow:hidden;">
<link rel="stylesheet" href="_js/checkbox.css" />
<script type="text/javascript" src="_js/custom-form-elements.js"></script>
<script type="text/javascript" src="_js/jquery/jquery.js"></script>
<script type="text/javascript" src="_js/jquery/ui.core.js"></script>
<script type="text/javascript" src="_js/jquery/ui.spinner.js"></script>
<link rel="stylesheet" href="_js/jquery/spinner.css" />
    <table style="font-family:Tahoma;font-size:12px;color:white;margin:10px 0px 0px 0px;" width="700px">
      <tbody>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" id="copy_files_whole" class="styled" onclick='parent.buildCommand();' title="With this option rsync's delta-transfer algorithm is not used and the whole file is sent as-is instead. The transfer may be faster if this option is used when the bandwidth between the source and destination machines is higher than the bandwidth to disk"/>
            <label style="padding-top: 3px;float: left;" for="copy_files_whole" title="With this option rsync's delta-transfer algorithm is not used and the whole file is sent as-is instead. The transfer may be faster if this option is used when the bandwidth between the source and destination machines is higher than the bandwidth to disk">Copy files whole (without rsync algorithm)</label>
          </td>
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" class="styled" onclick='parent.buildCommand();' id="find_similiar_file_for_basis_if_no_dest_file" title="This option tells rsync that it should look for a basis file for any destination file that is missing. The current algorithm looks in the same directory as the destination file for either a file that has an identical size and modified-time, or a similarly-named file."/>
            <label style="padding-top: 3px;float: left;" for="find_similiar_file_for_basis_if_no_dest_file" title="This option tells rsync that it should look for a basis file for any destination file that is missing. The current algorithm looks in the same directory as the destination file for either a file that has an identical size and modified-time, or a similarly-named file.">Find similar file for basis if no dest file</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" id="always_use_incremental_rsync_algorithm" class="styled" onclick='parent.buildCommand();' title="With this option rsync's delta-transfer algorithm is used."/>
            <label style="padding-top: 3px;float: left;" for="always_use_incremental_rsync_algorithm" title="With this option rsync's delta-transfer algorithm is used.">Always use incremental rsync algorithm</label>
          </td>
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" id="compress_file_data_during_the_transfer" class="styled" onclick='parent.buildCommand();' title="With this option, rsync compresses the file data as it is sent to the destination machine, which reduces the amount of data being transmitted -- something that is useful over a slow connection."/>
            <label style="padding-top: 3px;float: left;" for="compress_file_data_during_the_transfer" title="With this option, rsync compresses the file data as it is sent to the destination machine, which reduces the amount of data being transmitted -- something that is useful over a slow connection.">Compress file data during the transfer</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" id="dont_map_uid_gid_values_by_user_group_name" class="styled" onclick='parent.buildCommand();' title="With this option rsync will transfer numeric group and user IDs rather than using user and group names and mapping them at both ends."/>
            <label style="padding-top: 3px;float: left;" for="dont_map_uid_gid_values_by_user_group_name" title="With this option rsync will transfer numeric group and user IDs rather than using user and group names and mapping them at both ends.">Don't map uid/gid values by user/group name</label>
          </td>
          <td align="left" style="width: 400px;" colspan=2 nowrap>
            <input type="checkbox" id="keep_partially_transfered_files" class="styled" onclick='parent.buildCommand();' title="By default, rsync will delete any partially transferred file if the transfer is interrupted. In some circumstances it is more desirable to keep partially transferred files. Using the --partial option tells rsync to keep the partial file which should make a subsequent transfer of the rest of the file much faster."/>
            <label style="padding-top: 3px;float: left;" for="keep_partially_transfered_files" title="By default, rsync will delete any partially transferred file if the transfer is interrupted. In some circumstances it is more desirable to keep partially transferred files. Using the --partial option tells rsync to keep the partial file which should make a subsequent transfer of the rest of the file much faster.">Keep partially transferred files</label>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width:160px;" colspan=1 nowrap>
            <label title="This option allows you to set a maximum I/O timeout in seconds. If no data is transferred for the specified time then rsync will exit. The default is 0, which means no timeout.">Set I/O timeout in seconds:</label>
          </td>
          <td align="left" style="width:60px;">
             <input type="text" id="set_io_timeout_in_seconds" value=0 style='width:50px;height:24px;float:left;' title="This option allows you to set a maximum I/O timeout in seconds. If no data is transferred for the specified time then rsync will exit. The default is 0, which means no timeout."/>
          </td>
          <td align="left" style="width:160px;" colspan=1 nowrap>
            <label title="This option allows you to specify a maximum transfer rate in kilobytes per second. This option is most effective when using rsync with large files. The default is 0, which means no limit.">Limit I/O bandwidth:</label>
          </td>
          <td align="left" style="width:60px;"><input type="text" id="limit_io_bandwith_kbytes_per_second" value=0 style='width:50px;height:24px;float:left;' title="This option allows you to specify a maximum transfer rate in kilobytes per second. This option is most effective when using rsync with large files. The default is 0, which means no limit."/>
          </td>
        </tr>
        <tr style="height:28px;">
          <td align="left" style="width: 800px;" colspan=4 nowrap>
            <label title="A better way to keep partial files than the --partial option is to specify a DIR that will be used to hold the partial data (instead of writing it out to the destination file). On the next transfer, rsync will use a file found in this dir as data to speed up the resumption of the transfer and then delete it after it has served its purpose.">Put a partially transferred file into DIR:</label>
            <input type="partial" id='put_a_partially_transferred_files_into_dir' style='width:450px;' readonly title="A better way to keep partial files than the --partial option is to specify a DIR that will be used to hold the partial data (instead of writing it out to the destination file). On the next transfer, rsync will use a file found in this dir as data to speed up the resumption of the transfer and then delete it after it has served its purpose."/>
            <input type="button" style="width:60px;height:24px;" id='browse' value="Open" onclick="parent.browseDir('partial',document.getElementById('put_a_partially_transferred_files_into_dir'));" /><input type="button" style="width:24px;height:24px;" id="remove" value="X" onclick="document.getElementById('put_a_partially_transferred_files_into_dir').value='';parent.buildCommand();" title="Remove the partially transferred DIR location"/>
          </td>
        </tr>
      </tbody>
    </table>
<script>
$(document).ready(function() {
  $("#set_io_timeout_in_seconds").spinner({max: 100000, min: 0});
  $('#set_io_timeout_in_seconds').bind('spinchange', function(event, ui) {
    parent.buildCommand();
  });
  $("#limit_io_bandwith_kbytes_per_second").spinner({max: 100000, min: 0});
  $('#limit_io_bandwith_kbytes_per_second').bind('spinchange', function(event, ui) {
    parent.buildCommand();
  });
});
</script>
</body>
